package mlproject.hmm;

import java.util.List;

import mlproject.io.InputSequence;
import mlproject.io.TrainingSequence;

public abstract class EmissionModel {
    public abstract double emissionLogProb(int state, int pos, InputSequence input);
    public abstract void train(StateModel stateModel, List<TrainingSequence> trainingSequences);
    
}
